gio.ThemedIcon
Prev | PyGio Class Reference | Next

## gio.ThemedIcon

gio.ThemedIcon — Icon theming support.

## Synopsis

    class gio.ThemedIcon(gobject.GObject):
        gio.ThemedIcon()
        def append_name()
        def get_names()
        def prepend_name()

## Ancestry

    +-- gobject.GObject
      +-- gio.ThemedIcon

## gio.ThemedIcon Properties

"name" | Write/Contruct Only | The icon name. Default value: `None`
"names" | Read/Write/Contruct Only | A list of icon names.
"use-default-fallbacks" | Read/Write/Contruct Only | Whether to use the default fallbacks found by shortening the icon name at '-' characters. If the "names" array has more than one element, ignores any past the first.

## Description

`gio.ThemedIcon` is an implementation of `gio.Icon` that supports icon themes. GThemedIcon contains a list of all of the icons present in an icon theme, so that icons can be looked up quickly.

`gio.ThemedIcon` does not provide actual pixmaps for icons, just the icon names. Ideally something like `gtk.IconTheme.choose_icon`() should be used to resolve the list of names so that fallback icons work nicely with themes that inherit other themes

## Constructor

        gio.ThemedIcon(name, use_default_fallbacks=False)

`name` : | a string containing an icon name.
Returns : | a new `gio.ThemedIcon`.

Creates a new themed icon from icon name, if instead of an icon name you provide a list of icon names, the `gio.ThemedIcon` will be constructed using the items in the list.

## Methods

### gio.ThemedIcon.append_name

        def append_name()

name : | name of icon to append to list of icons from within icon.

The `append_name`() method appends a name to the list of icons from within icon.

### gio.ThemedIcon.get_names

        def get_names()

Returns : | a list of icon names.

The `get_names`() method gets the names of icons from within icon.

### gio.ThemedIcon.prepend_name

        def prepend_name()

name : | name of icon to prepend to list of icons from within icon.

The `prepend_name`() method prepends a name to the list of icons from within icon.

Prev | Up | Next
gio.SimpleAsyncResult | Home | gio.Volume